установка приложений, обновление kde

Поставил вашу систему, но я в линуксе новичок. Пробовал несколько других дистрибутивов.
Пока назрело несколько вопросов.

  1. При установке приложений через emerge. установка длится очень долго… Например mozilla-firefox ставится уже минут 10-15…, и пока на 8-ом шаге из 10-ти. Файловая система reiseferFS, так и должно быть по времени?
    Ноутбук не слабый, Intel core 2 duo, 4 GB DDR III, 9600GT
  2. Как обновить kde ? вышел стейбл 4.5.2 , хотелось бы обновится.
  3. не работает звук во флеше ( но где то заметил тут такую тему, почитаю)
  4. Создал wifi ad-hoc подключение, между двумя ноутами, компы пингуются. Проводная сетевая карта подключена в роутер с прямым доступом в инет. Как можно включить общий доступ к интернету? (чтобы wifi видел инет из проводной карты)
  5. как установить(обновить) драйвер видеокарты, nvidia.

Пока все, вопросы наверно глупые, но и ответить на них можно быстро.

дима another wrote:

Поставил вашу систему, но я в линуксе новичок. Пробовал несколько других дистрибутивов.
Пока назрело несколько вопросов.

  1. При установке приложений через emerge. установка длится очень долго… Например mozilla-firefox ставится уже минут 10-15…, и пока на 8-ом шаге из 10-ти. Файловая система reiseferFS, так и должно быть по времени?
    Ноутбук не слабый, Intel core 2 duo, 4 GB DDR III, 9600GT
  2. Как обновить kde ? вышел стейбл 4.5.2 , хотелось бы обновится.
  3. не работает звук во флеше ( но где то заметил тут такую тему, почитаю)
  4. Создал wifi ad-hoc подключение, между двумя ноутами, компы пингуются. Проводная сетевая карта подключена в роутер с прямым доступом в инет. Как можно включить общий доступ к интернету? (чтобы wifi видел инет из проводной карты)
  5. как установить(обновить) драйвер видеокарты, nvidia.

Пока все, вопросы наверно глупые, но и ответить на них можно быстро.

1. Это дистрибутив на основе gentoo, соответственно все устанавливаемые программы компилируются, причем бывает компилируются достаточно долго. Попробуйте обновить опенофис, на моем старом t5250, 2 Gb RAM это занимало всю ночь :slight_smile: Впрочем, некоторые приложения имеют бинарные варианты, это не совсем gentoo style, зато не нужно долго ждать. Примеры chromium-bin, openoffice-bin.
2. emerge -auvDN kdebase-meta
5. emerge -auvDN nvidia-drivers

Спасибо за быстрый ответ.
А можете еще написать пошагово,
как установить virtualbox
Пробовал через emerge, ставит virtualbox-ose , и модули, но программы так и не увидел в консоли и в меню.
При установки постоянно ругалось на блокированные зависимости, или что то еще.
Можно перечислить что необходимо установить для полноценной работы виртуалки ?

дима another wrote:

Спасибо за быстрый ответ.
А можете еще написать пошагово,
как установить virtualbox
Пробовал через emerge, ставит virtualbox-ose , и модули, но программы так и не увидел в консоли и в меню.
При установки постоянно ругалось на блокированные зависимости, или что то еще.
Можно перечислить что необходимо установить для полноценной работы виртуалки ?

Гм, вы бы сразу логи ошибок прислали, было бы понятнее куда копать.

На виртуалке тоже стоит 10.9.Выполнил
emerge -auvDN kdebase-meta
Скачалось пару новых пакетов, несколько обновилось, но как было КДЕ 4.4.5 так и осталось.

Роман Гаврилюк wrote:

На виртуалке тоже стоит 10.9.Выполнил
emerge -auvDN kdebase-meta
Скачалось пару новых пакетов, несколько обновилось, но как было КДЕ 4.4.5 так и осталось.

http://www.calculate-linux.ru/packages/kde-base/kdebase-meta

Последний незамаскированный пакет 4.4.5. Для того чтобы установился 4.5.2 его нужно размаскировать.

Спасибо за помощь. Начал размаскировывать пакеты:
/etc/portage/package.keywords/using
`>=kde-base/kdebase-meta-4.5.2 ~x86

=kde-base/kdebase-startkde-4.5.2[-kdeprefix,-aqua]
=kde-base/qguiplatformplugin_kde-4.5.2[-kdeprefix,-aqua]
=kde-base/kscreensaver-4.5.2[-kdeprefix,-aqua]
=kde-base/kcminit-4.5.2[-kdeprefix,-aqua]
=kde-base/plasma-workspace-4.5.2[-kdeprefix,-aqua]
=kde-base/kephal-4.5.2[-kdeprefix,-aqua]
=kde-base/libkworkspace-4.5.2[-kdeprefix,-aqua]
=kde-base/libplasmaclock-4.5.2[-kdeprefix,-aqua]
=kde-base/kstyles-4.5.2[-kdeprefix,-aqua]
=kde-base/kfmclient-4.5.2[-kdeprefix,-aqua]
=kde-base/konsole-4.5.2[-kdeprefix,-aqua]
=kde-base/kdebase-runtime-meta-4.5.2[-kdeprefix,-aqua]
=kde-base/kdialog-4.5.2[-kdeprefix,-aqua]
=kde-base/keditbookmarks-4.5.2[-kdeprefix,-aqua]
=kde-base/liboxygenstyle-4.5.2[-kdeprefix,-aqua]
=kde-base/kdebase-wallpapers-4.5.2[-kdeprefix,-aqua]
=kde-base/kfind-4.5.2[-kdeprefix,-aqua]
=kde-base/kcheckpass-4.5.2[-kdeprefix,-aqua]
=kde-base/kdepasswd-4.5.2[-kdeprefix,-aqua]
=kde-base/libkonq-4.5.2[-kdeprefix,-aqua]
=kde-base/powerdevil-4.5.2[-kdeprefix,-aqua]
`
Этот список никак не заканчивается! Устал добавлять. Можно всё-это и остальное, зависящее, добавить одной, ну максимум, двумя строками?

Есть утилиты: autounmask и cl-unmask.
Позволяют автоматически размаскировать пакет, а так же все необходимые зависимости. Autounmask в дефолтной сборке помоему отсутствует - надо доустановить. Cl-unmask, возможно, пока убран, но скоро появится снова в составе утилиты calculate-builder (если мне не изменяет память).

Использовать нужно аккуратно - внимательно смотреть что в итоге размаскировалось.

По команде emerge -auvDN nvidia-drivers
получаю ошибку
Calculating dependencies… done!
[ebuild N ] sys-apps/calculate-builder-2.2.0.0 0 kB [1]
[ebuild NS ] sys-kernel/calculate-sources-2.6.35.5 [2.6.34.4] USE=“symlink vmlinuz -build -deblob” 0 kB [1]
[ebuild U ] x11-drivers/nvidia-drivers-256.53 [195.36.31] USE=“acpi -custom-cflags -gtk (-multilib)” 0 kB [0]
[blocks B ] <sys-apps/calculate-1.4.0_p20100921 ("<sys-apps/calculate-1.4.0_p20100921" is blocking sys-apps/calculate-builder-2.2.0.0)
Total: 3 packages (1 upgrade, 1 new, 1 in new slot), Size of downloads: 0 kB
Conflict: 1 block (1 unsatisfied)

Как быть с этим покетом который блокирует?..

Введённая вами команда требует установки пакета calculate-builder-2.2.0.0 по зависимостям. А calculate-builder-2.2.0.0 заблокирован пакетом calculate-1.4.0_p20100921. Необходимо сначала удалить calculate-1.4.0_p20100921 (флаг -С).

Затем снова попробовать установить nvidia-drivers.

P.S. calculate-1.4.0_p20100921 - это устаревшая версия. Её можно смело удалять.

Устанавливаю аплет для КДЕ, скачал ебилд файл.
Открыл терминал под рутом, ввел команду
calculate plasma-smoothtasks # ebuild plasma-smoothtasks-2009.11.11.ebuild
setupAppending / to PORTDIR_OVERLAY…
!!! /tmp/plasma-smoothtasks/plasma-smoothtasks-2009.11.11.ebuild does not seem to have a valid PORTDIR structure.

Что я делаю не так? Ебилд файлы нужно копировать в конкретный каталог?
**
Переименовал файл так же, как каталог с ебилдом.
ОШИБКА ПРОПАЛА.
calculate plasma-smoothtasks # ebuild plasma-smoothtasks.ebuild setup
Appending / to PORTDIR_OVERLAY…
!!! tmp/plasma-smoothtasks does not follow correct package syntax.
Появилась другая, это неправильный ебилд файл, или я все таки что то не так пишу?

дима another wrote:

Устанавливаю аплет для КДЕ, скачал ебилд файл.
Открыл терминал под рутом, ввел команду
calculate plasma-smoothtasks # ebuild plasma-smoothtasks-2009.11.11.ebuild
setupAppending / to PORTDIR_OVERLAY…
!!! /tmp/plasma-smoothtasks/plasma-smoothtasks-2009.11.11.ebuild does not seem to have a valid PORTDIR structure.

Что я делаю не так? Ебилд файлы нужно копировать в конкретный каталог?
**
Переименовал файл так же, как каталог с ебилдом.
ОШИБКА ПРОПАЛА.
calculate plasma-smoothtasks # ebuild plasma-smoothtasks.ebuild setup
Appending / to PORTDIR_OVERLAY…
!!! tmp/plasma-smoothtasks does not follow correct package syntax.
Появилась другая, это неправильный ебилд файл, или я все таки что то не так пишу?

Если ебилда нет в портеже и оверлеях,а вы просто скачали его из интернета,то чтобы установить его необходимо создать локальный оверлей и добавить ебилд в этот локальный оверлей.Создание оверлея описано в интернете,например,здесь:
http://ru.gentoo-wiki.com/wiki/Portage_Overlay .

А можно рядом с kde установить Gnom’a ?
и при входе в сессию выбирать между двумя менеджерами?

**_

И еще вопрос, сегодня включил систему, везде стоит английский язык.
В меню и системе…
Как можно вернуть рускую локализацию?
эхо локала -
Пароль:
calculate another # locale
LANG=ru_RU.UTF-8
LC_CTYPE=“ru_RU.UTF-8”
LC_NUMERIC=POSIX
LC_TIME=“ru_RU.UTF-8”
LC_COLLATE=“ru_RU.UTF-8”
LC_MONETARY=“ru_RU.UTF-8”
LC_MESSAGES=“ru_RU.UTF-8”
LC_PAPER=“ru_RU.UTF-8”
LC_NAME=“ru_RU.UTF-8”
LC_ADDRESS=“ru_RU.UTF-8”
LC_TELEPHONE=“ru_RU.UTF-8”
LC_MEASUREMENT=“ru_RU.UTF-8”
LC_IDENTIFICATION=“ru_RU.UTF-8”
LC_ALL=

При этом вся система на английском

Люди!!! =)
Прошу ответа на мой последний вопрос.
Сбился русский язык в системе…

Что выводит?

cat /var/db/pkg/kde-base/kde-l10n-*/USE

elibc_glibc handbook kernel_linux userland_GNU x86

вот что возвращает. Нужно что то добавить в юзы? напишите все что может там пригодится :slight_smile:

И еще пользуясь случаем спрошу.
При логине, в делфине не открываются внешние винчестеры, ругается на доступ.
Т.е при первом клике винт монтируется, а обычному юзеру это не доступно.
Когда открываю делфин от рута, и открываю каждый раздел, он открывается(монтируется)
И после этого он доступен уже от обычного юзера.
После перезагрузки все приходится повторять.
Как можно это поправить?
Ну и насчет гнома, можно безболезеннено рядом с кде поставить гнома?

Как минимум пакет локализации kde собран без поддержки русского(а также других языков). Не могли бы вы показать make.conf? Вообще для поддержки русского пакеты должны собираться с LINGUAS=“en ru”, который обычно помещают /etc/make.conf.

Ну и насчет гнома, можно безболезеннено рядом с кде поставить гнома?

Не экспериментировал. По идее пакеты гнома мешать пакетам kde не будут. Можно попробовать поставить cl-gnome-meta.

При логине, в делфине не открываются внешние винчестеры, ругается на доступ.

Пользователь в группе plugdev присутствует?

в plugdev присудствует.

Добавил в мейк конф.
Вот весь мой конф… Что можно еще туда добавить для облегчения жизни? :slight_smile:
LINGUAS=“en ru”

source /var/lib/layman/make.conf

MAKEOPTS="-j3"
EMERGE_DEFAULT_OPTS="–jobs=4"

Как мне пересобрать КДЕ, с LINGUAS=“en ru”
Это заново нужно пересобрать весь кде?
emerge -e kdebase-meta ??
получается целая туча покетов…

полагаю, uNa флагов будет достаточно.